Package org.astrogrid.samp.xmlrpc.apache

# Class ApacheServerFactory

java.lang.Object
org.astrogrid.samp.xmlrpc.apache.ApacheServerFactory

All Implemented Interfaces:
  `SampXmlRpcServerFactory`

public class ApacheServerFactory extends Object implements SampXmlRpcServerFactory
SampXmlRpcServerFactory implementation which uses Apache classes. Server construction is lazy and the same server is returned each time.

Since:
  22 Aug 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ApacheServerFactory()`

## Method Summary

Modifier and Type
Method
Description
`SampXmlRpcServer`
`getServer()`
Returns an XML-RPC server implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApacheServerFactory

public ApacheServerFactory()

## Method Details

### getServer

public SampXmlRpcServer getServer() throws IOException
Description copied from interface: `SampXmlRpcServerFactory`
Returns an XML-RPC server implementation. Implementations are permitted, but not required, to return the same object from different calls of this method.

Specified by:
  `getServer` in interface `SampXmlRpcServerFactory`
Returns:
  new or re-used server
Throws:
  `IOException`